Jump to content
XPEnology Community

HP microserver Gen8 and hp-ams


Recommended Posts

@youhq 

Running DS3615Xs DSM 6.2.3-25426 Update 3 with loader 1.03b works for me with the 4sag spk packaged hilo.ko , but not @v02max standard or 3617 hpilo.ko, or the one @IG-88 provided , (maybe something changed since these where compiled) 

 

I am also able to replace amshelper with the more recent 2.10.1 release (red hat 7) . 

 

I'm not able to see software though . 

 

does anybody know what the options are after calling Amshelper ? specifically -M1,5,14,16,18,23,99  (I think 99 must relate to the software monitoring) 

 

Thanks 

 

Link to comment
Share on other sites

1 hour ago, scoobdriver said:

Running DS3615Xs DSM 6.2.3-25426 Update 3 with loader 1.03b works for me with the 4sag spk packaged hilo.ko , but not @v02max standard or 3617 hpilo.ko, or the one @IG-88 provided , (maybe something changed since these where compiled) 

 

as a general rule, dont use driver (*.ko) from 6.2.1 and 6.2.2 for 6.2.3

for 6.2.3 you should try stuff that worked with 6.2.(0) and the original loader back in 2018

Edited by IG-88
  • Like 2
Link to comment
Share on other sites

  • 1 year later...
  • 2 weeks later...
On 4/5/2022 at 7:44 PM, haldi said:

Anyone on DSM7 has got this working?

 in theory it might work

hpilo.ko as driver is part or kernel 4.4 and is no problem to build  (beside 3615 all units we have for 7.x use that)

packages like the "hp_ams-5.2_2.5.0-1.spk" will not work as 7.x prevents things like using root user to run a package but its possible to mimic the installation of the spk (can be extracted and there are scripts for installing and running) and then match it the way it has to be to run in 7.x

i native 7.x might be better but as long as there is none it might be possible to make it work by installing the files manually

 

Link to comment
Share on other sites

8 minutes ago, IG-88 said:

hpilo.ko as driver is part or kernel 4.4 and is no problem to build  (beside 3615 all units we have for 7.x use that)

Oh. Yeah. For some reason all people with a HP Microserver Gen8 baremetal ran the 3615 so i did that too.^^

 

might take a look at a manual installation if i have too much time.

If it works i'll report back here. Thanks.

Link to comment
Share on other sites

Posted (edited)
1 hour ago, haldi said:

Oh. Yeah. For some reason all people with a HP Microserver Gen8 baremetal ran the 3615 so i did that too.^^

in 7.0 there is a new kernel version, so no kernel modules 6.2.x will work there, if you want a system with security fixes you best chance is rp loader for 6.2.4

that way you can still use the old spk and even the old 6.2.3 driver

 

Quote

might take a look at a manual installation if i have too much time.

If it works i'll report back here. Thanks.

if you go 7.x then you would at least need the hpilo.ko driver for the platform in question (i use 918+ aka apollolake myself so i could provide a driver for that without much effort)

edit: as the driver is for 7.0 918+ and might work an 3617/3622 too (same kernel version) but its no use for 3615

(and as hpe microserver gen8 is only 3rd gen intel, it cant run 918+)

 

hpilo.ko

Edited by IG-88
Link to comment
Share on other sites

  • 3 weeks later...
On 4/17/2022 at 6:10 PM, IG-88 said:

in 7.0 there is a new kernel version, so no kernel modules 6.2.x will work there, if you want a system with security fixes you best chance is rp loader for 6.2.4

that way you can still use the old spk and even the old 6.2.3 driver

 

if you go 7.x then you would at least need the hpilo.ko driver for the platform in question (i use 918+ aka apollolake myself so i could provide a driver for that without much effort)

edit: as the driver is for 7.0 918+ and might work an 3617/3622 too (same kernel version) but its no use for 3615

(and as hpe microserver gen8 is only 3rd gen intel, it cant run 918+)

 

hpilo.ko 367.28 kB · 4 downloads

Hello, may I ask how you compiled, I compiled error, prompting as shown in the picture.

Can you help me.Thank you

My machine is: Gen8 DS3615xs  7.0.1

微信截图_20220429175359.png

Link to comment
Share on other sites

17 hours ago, shenwrt said:

Hello, may I ask how you compiled

i still use the things i wrote about here but you need to look for some info about added thinhs for 6.2 and when using 7.0 you also need the stuff from here (https://archive.synology.com/download/ToolChain)

https://xpenology.com/forum/topic/7187-how-to-build-and-inject-missing-drivers-in-jun-loader-102a/

 

but maybe use this one (does not need to be win10)

https://xpenology.com/forum/topic/7341-tutorial-compile-xpenology-drivers-in-windows-10/

 

there are also "DSM_Developer_Guide_6_0.pdf" and "DSM_Developer_Guide_7_0_Beta.pdf" from synology on how to set up a build enviroment

 

Link to comment
Share on other sites

  • 3 weeks later...
On 5/6/2022 at 3:04 AM, IG-88 said:

i still use the things i wrote about here but you need to look for some info about added thinhs for 6.2 and when using 7.0 you also need the stuff from here (https://archive.synology.com/download/ToolChain)

https://xpenology.com/forum/topic/7187-how-to-build-and-inject-missing-drivers-in-jun-loader-102a/

 

but maybe use this one (does not need to be win10)

https://xpenology.com/forum/topic/7341-tutorial-compile-xpenology-drivers-in-windows-10/

 

there are also "DSM_Developer_Guide_6_0.pdf" and "DSM_Developer_Guide_7_0_Beta.pdf" from synology on how to set up a build enviroment

 

OK,Thank you very much. 

It is already working properly.

Although its fan speed has not been reduced... It works at 44%🤣🤣🤣

This is the version of gen8 dsm7.0.1 ds3615xs.

give to those who need it.

hp-ams.zip

  • Thanks 1
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...